---
date: '2024-11-10T20:53:35+01:00'
draft: false
type: enseignement
title: 'Obsolescence (D)programmé'
authors: 
  - "Martin De Bie"
  - "association Repair café Paris"
image: ""
year: "2021 / 2022"
links: 
  - "https://drive.google.com/drive/folders/1XDE4tLmGjv-sNX8zlsHdEgLBQw0AF653?usp=sharing"
cours: "Cours secteur Design Objet (4ème année)"
description: "L’objectif de ce sujet est de réinterpréter des objets technologiques sous une forme plus simple et plus pérenne."
tags: 
  - design objet
  - 4e année
  - écologie
  - obsolescence
---



# Contexte

Le principe d’obsolescence programmée a connu de multiples aspects et applications dans l’histoire industrielle depuis les années 20 avec le cartel Phœbus et les scandales successifs de trois géants du numérique, Apple, Intel et Epson entre décembre 2017 et janvier 2018. Le 3 juillet 2018, Brune Poirson, secrétaire d'État auprès du ministre de la transition écologique et solidaire, annonce la mise en place à partir du 1er janvier 2020, d’un « indice de réparabilité » qui sera attribué à chaque produit comme les meubles ou l’électroménager. Cette mesure vise une transparence dans l’élaboration des produits, espérant inciter les entreprises à adopter une stratégie sur le long terme. Cependant les usagers n’ont pas attendu ces mesures pour lutter contre l’obsolescence programmée des objets du quotidien. Depuis de nombreuses années des associations se sont créés autour d’initiatives tels que celles des repair cafés, imaginé en 2009 par Martine Postma militante écologiste néerlandaise ou bien des fablabs. Ces lieux permettent, en plus d’augmenter la durée de vie d’objets de toutes sortes, de développer une économie circulaire, sociale et solidaire. L’ambition de réparer au lieu de jeter pour mettre un frein à la consommation frénétique est un élément fondamental et logique aujourd’hui au regard des enjeux globaux liés à la situation environnementale de notre planète.

# Hypothèse

Malgré ces initiatives, une hypothèse plus résiliente serait d’aller au-delà de ces boucles de réparation ou de recyclage des objets de notre quotidien en re-définissant les paradigmes même de leur production et de leur usage. En effet, aujourd’hui, de part l’apport des technologies, les objets de notre quotidien se complexifient de plus en plus. Il faut les simplifier, répondre à l’essentiel: le besoin, tout en les concevant vertueux et durables. L’idée de cette sobriété radicale s’illustre bien avec la Tin Can Radio de Victor Papanek. Cette radio réalisée à partir de matériaux récupérés ne porte aucun autre signe que sa propre fonction. Cependant alors qu’elle paraît dénué de toute esthétique, elle a trouvé son identité grâce à l’appropriation fait par ses utilisateurs lors de sa fabrication en lien avec des critères culturels précis, comme l’un des modèles réalisé et décoré par des indonésiens avec des matériaux locaux : papier, verre, coquillages, tissus et pierres.

# Sujet

L’objectif de ce sujet est de réinterpréter des objets technologiques sous une forme plus simple et plus pérenne. Pour se faire, les étudiant.e.s vont devoir dans un premier temps comprendre les objets techniques qu’ils auront sélectionné en ouvrant leur boîte noire et en la disséquant. Par la suite, ils devront identifier un type de déchets récurrents (DEEE) L’idée finale est d’obtenir une collection d’objets illustrant un nouveau type de conception spéculative d’objets technologiques dont l’usager devient partie prenante et dont il peut maîtriser la durée de vie de celui-ci.
